Bug 1175142 - [abrt] libreoffice-core: equals(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: equals(): soffice.bin killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0906f6da3071dbc0eb184d918a5...
: 1176434 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-17 09:17 UTC by Michal Nowak
Modified: 2017-02-20 12:26 UTC (History)
9 users (show)

Fixed In Version: libreoffice-4.3.5.2-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1189165 (view as bug list)
Environment:
Last Closed: 2015-01-06 06:12:22 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (65.53 KB, text/plain)
2014-12-17 09:17 UTC, Michal Nowak
no flags Details
File: cgroup (190 bytes, text/plain)
2014-12-17 09:17 UTC, Michal Nowak
no flags Details
File: core_backtrace (26.41 KB, text/plain)
2014-12-17 09:17 UTC, Michal Nowak
no flags Details
File: dso_list (27.18 KB, text/plain)
2014-12-17 09:17 UTC, Michal Nowak
no flags Details
File: environ (2.02 KB, text/plain)
2014-12-17 09:17 UTC, Michal Nowak
no flags Details
File: exploitable (82 bytes, text/plain)
2014-12-17 09:17 UTC, Michal Nowak
no flags Details
File: limits (1.29 KB, text/plain)
2014-12-17 09:17 UTC, Michal Nowak
no flags Details
File: maps (139.92 KB, text/plain)
2014-12-17 09:17 UTC, Michal Nowak
no flags Details
File: open_fds (637 bytes, text/plain)
2014-12-17 09:17 UTC, Michal Nowak
no flags Details
File: proc_pid_status (955 bytes, text/plain)
2014-12-17 09:17 UTC, Michal Nowak
no flags Details
File: var_log_messages (200 bytes, text/plain)
2014-12-17 09:17 UTC, Michal Nowak
no flags Details

Description Michal Nowak 2014-12-17 09:17:32 UTC
Description of problem:
Added some text from the Web, opened "Find & Replace", placed cursor to "Search for" field and pressed AltGg-6 (to insert '^', having Czech qwerty keyboard layout).

Version-Release number of selected component:
libreoffice-core-4.3.4.1-10.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=5
crash_function: equals
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.16.7-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 equals at /usr/src/debug/libreoffice-4.3.4.1/include/rtl/ustring.hxx:508
 #1 operator== at /usr/src/debug/libreoffice-4.3.4.1/include/rtl/ustring.hxx:1154
 #2 ImplEntryList::FindMatchingEntry at /usr/src/debug/libreoffice-4.3.4.1/vcl/source/control/ilstbox.cxx:290
 #3 ComboBox::ImplAutocompleteHdl at /usr/src/debug/libreoffice-4.3.4.1/vcl/source/control/combobox.cxx:326
 #4 Call at /usr/src/debug/libreoffice-4.3.4.1/include/tools/link.hxx:123
 #5 Edit::ImplHandleKeyEvent at /usr/src/debug/libreoffice-4.3.4.1/vcl/source/control/edit.cxx:1725
 #6 Edit::KeyInput at /usr/src/debug/libreoffice-4.3.4.1/vcl/source/control/edit.cxx:1745
 #7 ImplHandleKey at /usr/src/debug/libreoffice-4.3.4.1/vcl/source/window/winproc.cxx:1034
 #8 ImplWindowFrameProc at /usr/src/debug/libreoffice-4.3.4.1/vcl/source/window/winproc.cxx:2324
 #9 CallCallback at /usr/src/debug/libreoffice-4.3.4.1/vcl/inc/salframe.hxx:243

Comment 1 Michal Nowak 2014-12-17 09:17:36 UTC
Created attachment 969986 [details]
File: backtrace

Comment 2 Michal Nowak 2014-12-17 09:17:37 UTC
Created attachment 969987 [details]
File: cgroup

Comment 3 Michal Nowak 2014-12-17 09:17:38 UTC
Created attachment 969988 [details]
File: core_backtrace

Comment 4 Michal Nowak 2014-12-17 09:17:40 UTC
Created attachment 969989 [details]
File: dso_list

Comment 5 Michal Nowak 2014-12-17 09:17:41 UTC
Created attachment 969990 [details]
File: environ

Comment 6 Michal Nowak 2014-12-17 09:17:42 UTC
Created attachment 969991 [details]
File: exploitable

Comment 7 Michal Nowak 2014-12-17 09:17:43 UTC
Created attachment 969992 [details]
File: limits

Comment 8 Michal Nowak 2014-12-17 09:17:45 UTC
Created attachment 969993 [details]
File: maps

Comment 9 Michal Nowak 2014-12-17 09:17:47 UTC
Created attachment 969994 [details]
File: open_fds

Comment 10 Michal Nowak 2014-12-17 09:17:48 UTC
Created attachment 969995 [details]
File: proc_pid_status

Comment 11 Michal Nowak 2014-12-17 09:17:49 UTC
Created attachment 969996 [details]
File: var_log_messages

Comment 12 Caolan McNamara 2014-12-18 09:48:43 UTC
GetEntry has clearly returned NULL in this backtrace

Comment 13 Caolan McNamara 2014-12-18 15:31:56 UTC
nStart is an invalid -1, I can sort of see in the code how that could come about, but can't find an exact route to reproduce via the UI.

Comment 14 Caolan McNamara 2014-12-22 09:30:49 UTC
*** Bug 1176434 has been marked as a duplicate of this bug. ***

Comment 15 Fedora Update System 2015-01-02 08:11:06 UTC
libreoffice-4.3.5.2-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libreoffice-4.3.5.2-4.fc21

Comment 16 Fedora Update System 2015-01-06 06:12:22 UTC
libreoffice-4.3.5.2-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Michal Nowak 2015-01-27 09:51:33 UTC
I just spot it with libreoffice-core-4.3.5.2-11.fc21.x86_64. Same scenario: Inserted unformated text, tried to remove all blank lines via Ctrl-H: replace ^$ with "" and got quite immediate crash. I'd post a backtrace but ABRT won't let me claiming it it the same (fixed) issue as this BZ.


Note You need to log in before you can comment on or make changes to this bug.